# Update Endpoint - UpdateConflictById
Updates data of the synchronization conflict with provided id.
# HTTP Request
One of the following requests should be made:
PUT /odata/syncconflicts({key})
PUT /odata/syncconflicts/{key}
# Path parameters
| Name | Description |
|---|---|
| key | required. Id of synchronization conflict that should be updated. |
# Query parameters
| Name | Description |
|---|---|
| repository | optional. Destination repository key. |
# Request headers
| Name | Description |
|---|---|
| Authorization | required. Bearer {token}. See authorization |
| Content-Type | required. application/json |
# Request body
Information
Only properties with new values need to be specified, unmodified properties are optional and can be skipped.
Information
If readonly properties are specified the response will always be a 400 Bad Request error.
# Responses
| Code | Description | Type |
|---|---|---|
200 | If the update of synchronisation conflict was successful. | SyncConflictEntity |
400 | Request contains invalid data. | |
404 | If no synchronisation conflict with the given id could be found. | |
500 | When an internal server occurs during the update of synchronisation conflict. |
# Example
# Request
The following is an example of how to call the endpoint:
PUT /odata/syncconflicts(1)?repository=repo1
Content-Type: application/json
"syncConflictId": 1,
"title": "Example",
"firstId": "3143bd06-f34d-47cc-ac1d-448846a3ce01",
"secondId": "3eb1350c-a8a0-4cb1-9071-d9942c5b8ad9",
"details": [
{
"key": "key1",
"value": "Lorem ipsum"
}
]
# Response
The following example shows the response:
Information
The response object is truncated for clarity. Default properties will be returned from the call.
{
"syncConflictId": 1,
"title": "Example",
"firstId": "3143bd06-f34d-47cc-ac1d-448846a3ce01",
"secondId": "3eb1350c-a8a0-4cb1-9071-d9942c5b8ad9",
"details": [
{
"key": "key1",
"value": "Lorem ipsum"
}
]
}